{ pkgs, nixosConfig, lib, ... }:
let
  variant = "mocha";
  accent = "mauve";
  cfg = nixosConfig.my.desktop;
in
{
  config = lib.mkIf cfg.enable {
    catppuccin = {
      enable = true;
      accent = "${accent}";
      flavor = "${variant}";
      vscode.profiles.default.enable = false;
      cursors.enable = true;
    };

    gtk = {
      enable = true;
      theme = {
        name = "Catppuccin-GTK-Dark";
        package = pkgs.magnetic-catppuccin-gtk;
      };
    };

    qt = {
      enable = true;
      platformTheme.name = "ct";
      style.name = "kvantum";
    };
  };
}